Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.model.event
Interface ProtegeFrameListener

All Superinterfaces:
  EventListener, edu.stanford.smi.protege.event.FrameListener

All Known Subinterfaces:
  ResourceListener

All Known Implementing Classes:
  ResourceAdapter

    public interface ProtegeFrameListener

extends edu.stanford.smi.protege.event.FrameListener

A wrapper to deprecate most methods of the Protege FrameListener interface.

Author:
  Holger Knublauch
See Also:
  `PropertyValueListener`

Method Summary
`void` | `browserTextChanged(edu.stanford.smi.protege.event.FrameEvent event)` Deprecated.
`void` | `deleted(edu.stanford.smi.protege.event.FrameEvent event)` Deprecated. did not work in Protege anyway
`void` | `nameChanged(edu.stanford.smi.protege.event.FrameEvent event)` Deprecated.
`void` | `ownFacetAdded(edu.stanford.smi.protege.event.FrameEvent event)` Deprecated. not supported in OWL
`void` | `ownFacetRemoved(edu.stanford.smi.protege.event.FrameEvent event)` Deprecated. not supported in OWL
`void` | `ownFacetValueChanged(edu.stanford.smi.protege.event.FrameEvent event)` Deprecated. not supported in OWL
`void` | `ownSlotAdded(edu.stanford.smi.protege.event.FrameEvent event)` Deprecated. not needed
`void` | `ownSlotRemoved(edu.stanford.smi.protege.event.FrameEvent event)` Deprecated. not needed
`void` | `ownSlotValueChanged(edu.stanford.smi.protege.event.FrameEvent event)` Deprecated.
`void` | `visibilityChanged(edu.stanford.smi.protege.event.FrameEvent event)` Deprecated.

Method Detail

### browserTextChanged

    void browserTextChanged(edu.stanford.smi.protege.event.FrameEvent event)

  Deprecated.

  Specified by:
    `browserTextChanged` in interface `edu.stanford.smi.protege.event.FrameListener`
  See Also:
    `PropertyValueListener.browserTextChanged(edu.stanford.smi.protegex.owl.model.RDFResource)`

### deleted

    void deleted(edu.stanford.smi.protege.event.FrameEvent event)

  Deprecated. did not work in Protege anyway

  Specified by:
    `deleted` in interface `edu.stanford.smi.protege.event.FrameListener`

### nameChanged

    void nameChanged(edu.stanford.smi.protege.event.FrameEvent event)

  Deprecated.

  Specified by:
    `nameChanged` in interface `edu.stanford.smi.protege.event.FrameListener`
  See Also:
    `PropertyValueListener.nameChanged(edu.stanford.smi.protegex.owl.model.RDFResource, java.lang.String)`

### ownFacetAdded

    void ownFacetAdded(edu.stanford.smi.protege.event.FrameEvent event)

  Deprecated. not supported in OWL

  Specified by:
    `ownFacetAdded` in interface `edu.stanford.smi.protege.event.FrameListener`

### ownFacetRemoved

    void ownFacetRemoved(edu.stanford.smi.protege.event.FrameEvent event)

  Deprecated. not supported in OWL

  Specified by:
    `ownFacetRemoved` in interface `edu.stanford.smi.protege.event.FrameListener`

### ownFacetValueChanged

    void ownFacetValueChanged(edu.stanford.smi.protege.event.FrameEvent event)

  Deprecated. not supported in OWL

  Specified by:
    `ownFacetValueChanged` in interface `edu.stanford.smi.protege.event.FrameListener`

### ownSlotAdded

    void ownSlotAdded(edu.stanford.smi.protege.event.FrameEvent event)

  Deprecated. not needed

  Specified by:
    `ownSlotAdded` in interface `edu.stanford.smi.protege.event.FrameListener`

### ownSlotRemoved

    void ownSlotRemoved(edu.stanford.smi.protege.event.FrameEvent event)

  Deprecated. not needed

  Specified by:
    `ownSlotRemoved` in interface `edu.stanford.smi.protege.event.FrameListener`

### ownSlotValueChanged

    void ownSlotValueChanged(edu.stanford.smi.protege.event.FrameEvent event)

  Deprecated.

  Specified by:
    `ownSlotValueChanged` in interface `edu.stanford.smi.protege.event.FrameListener`
  See Also:
    `PropertyValueListener.propertyValueChanged(edu.stanford.smi.protegex.owl.model.RDFResource, edu.stanford.smi.protegex.owl.model.RDFProperty, java.util.Collection)`

### visibilityChanged

    void visibilityChanged(edu.stanford.smi.protege.event.FrameEvent event)

  Deprecated.

  Specified by:
    `visibilityChanged` in interface `edu.stanford.smi.protege.event.FrameListener`
  See Also:
    `PropertyValueListener.visibilityChanged(edu.stanford.smi.protegex.owl.model.RDFResource)`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.